<?php
add_action( 'vc_before_init', 'dt_sc_current_doctor_meta_vc_map' );
function dt_sc_current_doctor_meta_vc_map() {

	$plural_name    = esc_html__('Doctors', 'psychiatrist-doctor');
	if( function_exists( 'psychiatrist_cs_get_option' ) ) :
		$plural_name	=	psychiatrist_cs_get_option( 'plural-doctor-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Doctor Meta", "psychiatrist-doctor"),
		"base" => "dt_sc_current_doctor_meta",
		"icon" => "dt_sc_current_doctor_meta",
		"category" => $plural_name,
		'description' => esc_html__("Meta data of current doctor", "psychiatrist-doctor"),
		"params" => array(
          	array(
          		'type' => 'textfield',
          		'heading' => esc_html__( 'Extra class name', 'psychiatrist-doctor' ),
          		'param_name' => 'class',
          		'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in custom CSS.', 'psychiatrist-doctor' )
          	)			
		)
	) );
}?>