<?php add_action( 'vc_before_init', 'dt_sc_procedure_info_vc_map' );
function dt_sc_procedure_info_vc_map() {

	$plural_name    = esc_html__('Procedures', 'psychiatrist-doctor');
	if( function_exists( 'psychiatrist_cs_get_option' ) ) :
		$plural_name	=	psychiatrist_cs_get_option( 'plural-procedure-name', $plural_name );
	endif;

	vc_map( array(
		"name" => esc_html__("Single Procedure Meta", "psychiatrist-doctor"),
		"base" => "dt_sc_procedure_info",
		"icon" => "dt_sc_procedure_info",
		"category" => $plural_name,
		"params" => array(
			# Filter
			array(
				'type' => 'dropdown',
				'param_name' => 'meta',
				'value' => array(
					esc_html__('Yes','psychiatrist-doctor') => 'yes',
					esc_html__('No','psychiatrist-doctor') => 'no'
				),
				'heading' => esc_html__( 'Show meta?', 'psychiatrist-doctor' ),
				'std' => 'yes'
			)
		)		
	) );
}?>