<?php
/* ---------------------------------------------------------------------------
 * Hook of Top
 * --------------------------------------------------------------------------- */
if (!function_exists('psychiatrist_hook_top')) {
function psychiatrist_hook_top() {
	if( cs_get_option( 'enable-top-hook' ) ) :
		echo '<!-- psychiatrist_hook_top -->';
			$hook = cs_get_option( 'top-hook' );
			if ( !empty($hook) )
				echo do_shortcode( stripslashes($hook) );

		echo '<!-- psychiatrist_hook_top -->';
	endif;	
}
}
add_action( 'psychiatrist_hook_top', 'psychiatrist_hook_top' );

/* ---------------------------------------------------------------------------
 * Hook of Content before
 * --------------------------------------------------------------------------- */
if (!function_exists('psychiatrist_hook_content_before')) {
function psychiatrist_hook_content_before() {
	if( cs_get_option( 'enable-content-before-hook' ) ) :
		echo '<!-- psychiatrist_hook_content_before -->';
			$hook = cs_get_option( 'content-before-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- psychiatrist_hook_content_before -->';
	endif;
}
}
add_action( 'psychiatrist_hook_content_before', 'psychiatrist_hook_content_before' );

/* ---------------------------------------------------------------------------
 * Hook of Content after
 * --------------------------------------------------------------------------- */
if (!function_exists('psychiatrist_hook_content_after')) {
function psychiatrist_hook_content_after() {
	if( cs_get_option( 'enable-content-after-hook' ) ) :
		echo '<!-- psychiatrist_hook_content_after -->';
			$hook = cs_get_option( 'content-after-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- psychiatrist_hook_content_after -->';
	endif;
}
}
add_action( 'psychiatrist_hook_content_after', 'psychiatrist_hook_content_after' );

/* ---------------------------------------------------------------------------
 * Hook of Bottom
 * --------------------------------------------------------------------------- */
if (!function_exists('psychiatrist_hook_bottom')) {
function psychiatrist_hook_bottom() {
	if( cs_get_option( 'enable-bottom-hook' ) ) :
		echo '<!-- psychiatrist_hook_bottom -->';
			$hook = cs_get_option( 'bottom-hook' );
			if (!empty($hook))
				echo do_shortcode( stripslashes($hook) );
		echo '<!-- psychiatrist_hook_bottom -->';
	endif;
}
}
add_action( 'psychiatrist_hook_bottom', 'psychiatrist_hook_bottom' );