<?php
$config = psychiatrist_kirki_config();

PSYCHIATRIST_Kirki::add_section( 'dt_custom_js_section', array(
	'title' =>esc_html__( 'Additional JS', 'psychiatrist' ),
	'priority' => 210
) );

	# custom-js
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'switch',
		'settings' => 'enable-custom-js',
		'section'  => 'dt_custom_js_section',
		'label'    => esc_html__( 'Enable Custom JS?', 'psychiatrist' ),
		'default'  => psychiatrist_defaults('enable-custom-js'),
		'choices'  => array(
			'on'  => esc_html__( 'Yes', 'psychiatrist' ),
			'off'  => esc_html__( 'No', 'psychiatrist' )
		)		
	));

	# custom-js
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'code',
		'settings' => 'custom-js',
		'section'  => 'dt_custom_js_section',
		'transport' => 'postMessage',
		'label'    => esc_html__( 'Add Custom JS', 'psychiatrist' ),
		'choices'     => array(
			'language' => 'javascript',
			'theme'    => 'dark',
		),
		'active_callback' => array(
			array( 'setting' => 'enable-custom-js' , 'operator' => '==', 'value' =>'1')
		)
	));