<?php
$config = psychiatrist_kirki_config();

PSYCHIATRIST_Kirki::add_section( 'dt_sociable_section', array(
	'title' =>esc_html__( 'Site Sociable', 'psychiatrist' ),
	'priority' => 190
) );

	# Delicious
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-delicious',
		'label'	   => esc_html__( 'Delicious', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'	
	));

	# Deviantart 
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-deviantart',
		'label'	   => esc_html__( 'Deviantart', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Digg 
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-digg',
		'label'	   => esc_html__( 'Digg', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Dribbble
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-dribbble',
		'label'	   => esc_html__( 'Dribbble', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Envelope
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-envelope',
		'label'	   => esc_html__( 'Envelope', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));			

	# Facebook
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-facebook',
		'label'	   => esc_html__( 'Facebook', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
		'default'  => '#'
	));

	# Flickr
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-flickr',
		'label'    => esc_html__( 'Flickr', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Google Plus
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-google-plus',
		'label'	   => esc_html__( 'Google Plus', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# GTalk
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-gtalk',
		'label'	   => esc_html__( 'GTalk', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Instagram
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-instagram',
		'label'	   => esc_html__( 'Instagram', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Lastfm
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-lastfm',
		'label'	   => esc_html__( 'Lastfm', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Linkedin
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-linkedin',
		'label'    => esc_html__( 'Linkedin', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Pinterest
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-pinterest',
		'label'	   => esc_html__( 'Pinterest', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Reddit
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-reddit',
		'label'	   => esc_html__( 'Reddit', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# RSS
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-rss',
		'label'	   => esc_html__( 'RSS', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Skype
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-skype',
		'label'	   => esc_html__( 'Skype', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Stumbleupon 
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-stumbleupon',
		'label'	   => esc_html__( 'Stumbleupon', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Tumblr
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-tumblr',
		'label'	   => esc_html__( 'Tumblr', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Twitter 
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-twitter',
		'label'	   => esc_html__( 'Twitter', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Viadeo
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-viadeo',
		'label'	   => esc_html__( 'Viadeo', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Vimeo
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-vimeo',
		'label'	   => esc_html__( 'Vimeo', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Yahoo
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-yahoo',
		'label'	   => esc_html__( 'Yahoo', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));

	# Youtube
	PSYCHIATRIST_Kirki::add_field( $config, array(
		'type'     => 'text',
		'settings' => 'social-youtube',
		'label'	   => esc_html__( 'Youtube', 'psychiatrist' ),
		'section'  => 'dt_sociable_section',
	));